

package gov.va.med.cds.ars.jaxb;


//import com.sun.xml.internal.bind.marshaller.NamespacePrefixMapper;
import com.sun.xml.bind.marshaller.NamespacePrefixMapper;


public class HtReportFilterNamespaceMapper
    extends
        NamespacePrefixMapper
{
    private static final String HTRESPONSE_URI = "Report";
    private static final String HTRESPONSE_PREFIX = "report"; // Report NAMESPACE
    private static final String HTREPORTFILTER_URI = "HTReportFilter";
    private static final String HTREPORTFILTER_PREFIX = "htFilter"; // HTReportFilter NAMESPACE
    private static final String REPORT_URI = "ReportFilter";
    private static final String REPORT_PREFIX = "reportFilter"; // HTReportFilter NAMESPACE
    private static final String DEFAULT_PREFIX = ""; // DEFAULT NAMESPACE


    @Override
    public String getPreferredPrefix( String namespaceUri, String suggestion, boolean requirePrefix )
    {
        if ( HTREPORTFILTER_URI.equals( namespaceUri ) )
        {
            return HTREPORTFILTER_PREFIX;
        }
        else if ( REPORT_URI.equals( namespaceUri ) )
        {
            return REPORT_PREFIX;
        }
        else if ( HTRESPONSE_URI.equals( namespaceUri ) )
        {
            return HTRESPONSE_PREFIX;
        }
        else
        {
            return DEFAULT_PREFIX;
        }
    }
    
    
    @Override
    public String[] getPreDeclaredNamespaceUris( )
    {
        return new String[] { HTREPORTFILTER_URI, REPORT_URI, HTRESPONSE_URI };
    }
}
